PKG-CHECK(8)

NAME
pkg check - sanity checks installed packages

SYNOPSIS
pkg check [-Bdsr] [-vy] [-a | -gxX <pattern>]

DESCRIPTION
pkg check -B is used to reanalyse SHLIBS of installed packages. See pkg.conf(5) for more information on SHLIBS.

pkg check -d is used to check for and install missing dependencies.

pkg check -r is used to recompute sizes and checksums of installed packages.

pkg check -s is used to find invalid checksums for installed packages.

OPTIONS
The following options are supported by pkg check:

-y  Assume yes when asked for confirmation before installing missing dependencies.

-v  Be verbose.

-a  Process all packages.

-g  Treat <pattern> as a shell glob pattern.

-x  Treat <pattern> as a regular expression.

-X  Treat <pattern> as an extended regular expression.

ENVIRONMENT
The following environment variables affect the execution of pkg check. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(8), pkg-add(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-clean(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8), pkg.conf(5)